if (GetLocale() == "enGB") or (GetLocale() == "enUS") then
	SARTURA_GAIN_WHIRLWIND = "Battleguard Sartura gains Whirlwind.";
	SARTURA_WHIRLWIND_FADES = "Whirlwind fades from Battleguard Sartura.";
	SARTURA_ENRAGE = "becomes enraged";
	SARTURA_SARTURA = "Battleguard Sartura";
elseif (GetLocale() == "deDE") then
	SARTURA_GAIN_WHIRLWIND = "Schlachtwache Sartura bekommt Wirbelwind.";
	SARTURA_WHIRLWIND_FADES = "Wirbelwind schwindet von Schlachtwache Sartura.";
	SARTURA_ENRAGE = "wird w\195\188tend";
	SARTURA_SARTURA = "Schlachtwache Sartura";
else
	SARTURA_GAIN_WHIRLWIND = "Battleguard Sartura gains Whirlwind.";
	SARTURA_WHIRLWIND_FADES = "Whirlwind fades from Battleguard Sartura.";
	SARTURA_ENRAGE = "becomes enraged";
	SARTURA_SARTURA = "Battleguard Sartura";
end

LVBM.AddOns.Sartura = {
	["Name"] = "Battleguard Sartura",
	["Abbreviation1"] = "Sartura",
	["Version"] = "1.5",
	["Author"] = "La Vendetta|Tandanu",
	["Description"] = "Provides timers for Sartura's Whirlwind.",
	["Instance"] = "Ahn'Qiraj",
	["Sort"] = 3,
	["Options"] = {
		["Enabled"] = true,
		["Announce"] = false,
	},	
	["Events"] = {
		["CHAT_MSG_SPELL_PERIODIC_CREATURE_BUFFS"] = true,
		["CHAT_MSG_SPELL_AURA_GONE_OTHER"] = true,
		["CHAT_MSG_MONSTER_EMOTE"] = true,		
	},	

	["OnEvent"] = function(event, arg1)
		if (event == "CHAT_MSG_MONSTER_EMOTE") then
			if (string.find(string.lower(arg1), string.lower(SARTURA_ENRAGE))) and (arg2 == SARTURA_SARTURA) then
				LVBM.Announce("*** Enrage ***");
			end
		elseif (event == "CHAT_MSG_SPELL_PERIODIC_CREATURE_BUFFS") or (event == "CHAT_MSG_SPELL_AURA_GONE_OTHER") then
			if (arg1 == SARTURA_GAIN_WHIRLWIND) then
				LVBM.Announce("*** Whirlwind ***");
				LVBM.StartStatusBarTimer(15, "Whirlwind");
			elseif (arg1 == SARTURA_WHIRLWIND_FADES) then		
				LVBM.Announce("*** Whirlwind faded - Stun now! ***");				
			end
		end
	end,
};