if (GetLocale() == "enGB") or (GetLocale() == "enUS") then	
	SKERAM_CAST_SPELL_AE = "The Prophet Skeram begins to cast Arcane Explosion.";
	SKERAM_MIND_CONTROL_TEXTURE = "Spell_Shadow_Charm";
end

LVBM.AddOns.Skeram = {
	["Name"] = "Prophet Skeram",
	["Abbreviation1"] = "Prophet",
	["Version"] = "1.5",
	["Author"] = "La Vendetta|Tandanu",
	["Description"] = "Announces Arcane Explosion and Mind Control.",
	["Instance"] = "Ahn'Qiraj",
	["Sort"] = 1,
	["Options"] = {
		["Enabled"] = true,
		["Announce"] = false,
	},	
	["Events"] = {
		["CHAT_MSG_SPELL_CREATURE_VS_CREATURE_DAMAGE"] = true,
	},
	["CharmedPlayers"] = {};
	["OnEvent"] = function(event, arg1)
		if (event == "CHAT_MSG_SPELL_CREATURE_VS_CREATURE_DAMAGE") then
			if (arg1 == SKERAM_CAST_SPELL_AE) then
				LVBM.Announce("*** Arcane Explosion ***");
	--			LVBM.StartStatusBarTimer(3, "Arcane Explosion Cast"); --timer?
			end
		end
	end,		
	["OnUpdate"] = function(elapsed)
		for i = 1, GetNumRaidMembers() do
			if (GetRealZoneText() == "Ahn'Qiraj") and UnitIsCharmed("raid"..i) and (not LVBM.AddOns.Skeram.CharmedPlayers[UnitName("raid"..i)]) then
				local j = 1;
				while UnitDebuff("raid"..i, j) do
					if UnitDebuff("raid"..i, j) == SKERAM_MIND_CONTROL_TEXTURE then				
						LVBM.AddOns.Skeram.CharmedPlayers[UnitName("raid"..i)] = true;
						LVBM.Schedule(20, function (UnitNameToClear) LVBM.AddOns.Skeram.CharmedPlayers[UnitNameToClear] = nil; end, UnitName("raid"..i));
						LVBM.Announce("*** "..UnitName("raid"..i).." is mind controlled ***");
					end
					j = j + 1;
				end
			end
		end
	end,
	["UpdateInterval"] = 0.66,
};