if (GetLocale() == "enGB") or (GetLocale() == "enUS") then	
	VIS_SLOW_1 = "begins to slow!";
	VIS_SLOW_2 = "is freezing up!";
	VIS_SLOW_3 = "is frozen solid!";
	VIS_SHATTER_1 = "begins to crack!";
	VIS_SHATTER_2 = "looks ready to shatter!";
	VIS_VISCIDUS = "Viscidus";
end

LVBM.AddOns.Viscidus = {
	["Name"] = "Viscidus",
	["Abbreviation1"] = "Vis",
	["Version"] = "1.2",
	["Author"] = "La Vendetta|Tandanu",
	["Description"] = "Counts frost and melee hits on Viscidus.",	
	["Instance"] = "Ahn'Qiraj",	
	["Sort"] = 7,
	["Options"] = {
		["Enabled"] = true,
		["Announce"] = false,
		["MainTank"] = "",
	},
	["InCombat"] = false,
	["SpamProtection"] = {},
	["Stats"] = {
		["Freeze0"] = 0,
		["Freeze1"] = 0,
		["Freeze2"] = 0,
		["FrostHits"] = 0,
		["TotalFrostHits"] = 0,
		["MeleeHits"] = 0,
		["TotalMeleeHits"] = 0,
		["P1Hits"] = 0,
		["P2Hits"] = 0,
		["P3Hits"] = 0,
		["P4Hits"] = 0,
		["P5Hits"] = 0,
		["P6Hits"] = 0,
		["Frozen"] = false,	
	},
	["Events"] = {		
		["CHAT_MSG_COMBAT_FRIENDLYPLAYER_HITS"] = true,
		["CHAT_MSG_COMBAT_HITS"] = true,
		["CHAT_MSG_COMBAT_PARTY_HITS"] = true,
		["CHAT_MSG_COMBAT_SELF_DAMAGE"] = true,
		["CHAT_MSG_COMBAT_SELF_HITS"] = true,	
		["CHAT_MSG_MONSTER_EMOTE"] = true,
		["PLAYER_REGEN_DISABLED"] = true,
		["CHAT_MSG_SPELL_PERIODIC_SELF_DAMAGE"] = true,
		["CHAT_MSG_SPELL_PERIODIC_PARTY_DAMAGE"] = true,
		["CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_DAMAGE"] = true,
		["CHAT_MSG_SAY"] = true,
		["CHAT_MSG_MONSTER_YELL"] = true,
		["CHAT_MSG_MONSTER_EMOTE"] = true,
		["CHAT_MSG_MONSTER_SAY"] = true,
		["CHAT_MSG_SPELL_CREATURE_VS_CREATURE_DAMAGE"] = true,
		["CHAT_MSG_SPELL_PERIODIC_CREATURE_DAMAGE"] = true,
		["CHAT_MSG_COMBAT_SELF_HITS"] = true,
		["CHAT_MSG_SPELL_FRIENDLYPLAYER_DAMAGE"] = true,
		["CHAT_MSG_SPELL_PARTY_DAMAGE"] = true,
		["CHAT_MSG_SPELL_SELF_DAMAGE"] = true,
		["CHAT_MSG_COMBAT_FRIENDLYPLAYER_HITS"] = true,
		["CHAT_MSG_COMBAT_SELF_HITS"] = true,
		["CHAT_MSG_COMBAT_PARTY_HITS"] = true,
		["CHAT_MSG_COMBAT_HITS"] = true,
		["CHAT_MSG_COMBAT_SELF_DAMAGE"] = true,
	},	
	
	["SlashCmdHelpText"] = {
		[1] = "/Viscidus mt name - sets a main tank to prevent toxin warning spam",
	},
	["OnSlashCommand"] = function(msg)
		if string.find(string.lower(msg), "mt (%w+)") then		
			LVBM.AddOns.Viscidus.Options.MainTank = string.sub(msg, 4);
			LVBM.AddMsg("Main tank set to "..LVBM.AddOns.Viscidus.Options.MainTank);
			return true;
		end
	end,
	
	["OnEvent"] = function(event, arg1)	
		if (event == "CHAT_MSG_MONSTER_EMOTE") then
			if (arg1 == VIS_SLOW_1) and (arg2 == VIS_VISCIDUS) then				
				LVBM.Announce("*** Freeze 1/3 ***");
				LVBM.AddOns.Viscidus.Stats.P1Hits = LVBM.AddOns.Viscidus.Stats.FrostHits;
				LVBM.AddOns.Viscidus.Stats.FrostHits = 0;
				LVBM.AddOns.Viscidus.Stats.Frozen = false;
				LVBM.AddOns.Viscidus.Stats.MeleeHits = 0;
				LVBM.AddOns.Viscidus.Stats.TotalMeleeHits = 0;
			elseif (arg1 == VIS_SLOW_2) and (arg2 == VIS_VISCIDUS) then				
				LVBM.Announce("*** Freeze 2/3 ***");
				LVBM.AddOns.Viscidus.Stats.P2Hits = LVBM.AddOns.Viscidus.Stats.FrostHits;
				LVBM.AddOns.Viscidus.Stats.FrostHits = 0;
				LVBM.AddOns.Viscidus.Stats.Frozen = false;
				LVBM.AddOns.Viscidus.Stats.MeleeHits = 0;
				LVBM.AddOns.Viscidus.Stats.TotalMeleeHits = 0;
			elseif (arg1 == VIS_SLOW_3) and (arg2 == VIS_VISCIDUS) then				
				LVBM.Announce("*** FREEZE 3/3 - FROZEN FOR 15 SECONDS ***");
				LVBM.Schedule(7, "LVBM.AddOns.Viscidus.OnEvent", "FrozenWarning", 8);
				LVBM.Schedule(12,"LVBM.AddOns.Viscidus.OnEvent", "FrozenWarning", 3);
				LVBM.StartStatusBarTimer(15, "Frozen");
				LVBM.AddOns.Viscidus.Stats.P3Hits = LVBM.AddOns.Viscidus.Stats.FrostHits;
				LVBM.AddOns.Viscidus.Stats.FrostHits = 0;
				LVBM.AddOns.Viscidus.Stats.MeleeHits = 0;
				LVBM.AddOns.Viscidus.Stats.Frozen = true;
				LVBM.AddOns.Viscidus.Stats.TotalFrostHits = 0;
				LVBM.AddOns.Viscidus.Stats.MeleeHits = 0;
				LVBM.AddOns.Viscidus.Stats.TotalMeleeHits = 0;
			elseif (arg1 == VIS_SHATTER_1) and (arg2 == VIS_VISCIDUS) then				
				LVBM.Announce("*** Shatter 1/3 ***");
				LVBM.AddOns.Viscidus.Stats.P4Hits = LVBM.AddOns.Viscidus.Stats.FrostHits;
				LVBM.AddOns.Viscidus.Stats.MeleeHits = 0;
				LVBM.AddOns.Viscidus.Stats.Frozen = true;
				LVBM.AddOns.Viscidus.Stats.TotalFrostHits = 0;
			elseif (arg1 == VIS_SHATTER_2) and (arg2 == VIS_VISCIDUS) then				
				LVBM.Announce("*** Shatter 2/3 ***");
				LVBM.AddOns.Viscidus.Stats.P5Hits = LVBM.AddOns.Viscidus.Stats.FrostHits;
				LVBM.AddOns.Viscidus.Stats.MeleeHits = 0;
				LVBM.AddOns.Viscidus.Stats.Frozen = true;
				LVBM.AddOns.Viscidus.Stats.TotalFrostHits = 0;
			end
		elseif (event == "FrozenWarning") then
			if arg1 == 8 then			
				LVBM.Announce("*** 8 seconds left ***");
			elseif arg1 == 3 then				
				LVBM.Announce("*** 3 seconds left ***");
			end
		elseif (event == "PLAYER_REGEN_DISABLED") and GetRealZoneText() == "Ahn'Qiraj" and (not LVBM.AddOns.Viscidus.InCombat) then		
			if UnitClass("player") == LVBM_ROGUE or UnitClass("player") == LVBM_WARRIOR then
				return;
			end
				
			local oldTarget;
			oldTarget = UnitName("target");
			oldUIErrorsFrame_OnEvent = UIErrorsFrame_OnEvent;  --to prevent unknown unit error
			UIErrorsFrame_OnEvent = function() end;
			TargetByName("Viscidus");
			UIErrorsFrame_OnEvent = oldUIErrorsFrame_OnEvent;
				
			if UnitName("target") == "Viscidus" then
				if LVBM.AddOns.Viscidus.Options.MainTank == nil or LVBM.AddOns.Viscidus.Options.MainTank == "" then
					LVBM.AddMsg("Main tank not set! Toxin warning will whisper your main tank every 15 seconds!");
					LVBM.AddMsg("Type '/viscidus mt name' to set your main tank.");
				end
				LVBM.AddOns.Viscidus.Stats = {
					["Freeze0"] = 0,
					["Freeze1"] = 0,
					["Freeze2"] = 0,
					["FrostHits"] = 0,
					["TotalFrostHits"] = 0,
					["MeleeHits"] = 0,
					["TotalMeleeHits"] = 0,
					["P1Hits"] = 0,
					["P2Hits"] = 0,
					["P3Hits"] = 0,
					["P4Hits"] = 0,
					["P5Hits"] = 0,
					["P6Hits"] = 0,
					["Frozen"] = false,
				}
				LVBM.AddOns.Viscidus.InCombat = true;
			end
				
			if UnitName("target") ~= oldTarget then
				TargetLastTarget();
			end
		elseif (event == "ConfirmCombatEnd") then
			LVBM.AddOns.Viscidus.InCombat = false;
			LVBM.UnSchedule("LVBM.AddOns.Viscidus.OnEvent");
		elseif type(arg1) == "string" then
			if (string.find(arg1, "hit") or string.find(arg1, "crit")) then
				if string.find(arg1, "Viscidus") and string.find(arg1, "Frost") then
					LVBM.AddOns.Viscidus.Stats.TotalFrostHits = LVBM.AddOns.Viscidus.Stats.TotalFrostHits + 1;
					LVBM.AddOns.Viscidus.Stats.FrostHits = LVBM.AddOns.Viscidus.Stats.FrostHits + 1;
					if not LVBM.AddOns.Viscidus.Stats.Frozen then
						if (mod(LVBM.AddOns.Viscidus.Stats.TotalFrostHits , 10) == 0) then 
							LVBM.AddMsg("Frost Hits: "..LVBM.AddOns.Viscidus.Stats.TotalFrostHits);
						end
						if (mod(LVBM.AddOns.Viscidus.Stats.TotalFrostHits, 50) == 0) then
							LVBM.Announce("*** "..LVBM.AddOns.Viscidus.Stats.TotalFrostHits.." melee hits ***");
						end
					end
				elseif not (string.find(arg1, "Arcane") or string.find(arg1, "Holy") or string.find(arg1, "Nature") or string.find(arg1, "Shadow") or string.find(arg1, "Fire")) then
					LVBM.AddOns.Viscidus.Stats.MeleeHits = LVBM.AddOns.Viscidus.Stats.MeleeHits + 1;
					LVBM.AddOns.Viscidus.Stats.TotalMeleeHits = LVBM.AddOns.Viscidus.Stats.TotalMeleeHits + 1;
					if LVBM.AddOns.Viscidus.Stats.Frozen then
						if (mod(LVBM.AddOns.Viscidus.Stats.TotalMeleeHits, 10) == 0) then 
							LVBM.AddMsg("Melee Hits: "..LVBM.AddOns.Viscidus.Stats.TotalMeleeHits);
						end
						if (mod(LVBM.AddOns.Viscidus.Stats.TotalMeleeHits, 50) == 0) then
							LVBM.Announce("*** "..LVBM.AddOns.Viscidus.Stats.TotalMeleeHits.." melee hits ***");
						end
					end
				end
			end
		end	
	end,

	["OnUpdate"] = function(elapsed)
		if LVBM.AddOns.Viscidus.InCombat then
			if (not UnitAffectingCombat("player")) and (not UnitIsDeadOrGhost("player")) and (not LVBM.GetScheduleTimeLeft("LVBM.AddOns.Viscidus.OnEvent", "ConfirmCombatEnd")) then
				LVBM.Schedule(7.5, "LVBM.AddOns.Viscidus.OnEvent", "ConfirmCombatEnd");
				return;
			end
			local Vis_CurrentTarget = "";
			for i = 1, GetNumRaidMembers() do
				if UnitName("Raid"..i.."target") == "Viscidus" then
					Vis_CurrentTarget = UnitName("Raid"..i.."targettarget");
					break;
				end
			end
			if Vis_CurrentTarget and Vis_CurrentTarget ~= "" and Vis_CurrentTarget ~= LVBM.AddOns.Viscidus.Options.MainTank then
				if LVBM.AddOns.Viscidus.SpamProtection[Vis_CurrentTarget] and LVBM.AddOns.Viscidus.SpamProtection[Vis_CurrentTarget] <= 15 then		
					return;
				else		
					LVBM.Announce("*** Toxin on "..Vis_CurrentTarget.." ***");					
					SendChatMessage("*** TOXIN ON YOU - MOVE! ***", "WHISPER", this.language, Vis_CurrentTarget);
					LVBM.AddOns.Viscidus.SpamProtection[Vis_CurrentTarget] = 0;
				end
			end	
		end
	end,
	["UpdateInterval"] = 0,
};