LVBM.AddOns.Vaelastrasz = {
	["Name"] = "Vaelastrasz",
	["Abbreviation1"] = "vael",
	["Version"] = "1.0",
	["Author"] = "La Vendetta|Tandanu",
	["Description"] = "Announces Burning Adrenaline.",
	["Instance"] = "Blackwing Lair",
	["Sort"] = 2,
	["Options"] = {
		["Enabled"] = true,
		["Announce"] = false,
		["Whisper"] = false,
	},
	["DropdownMenu"] = {
		[1] = {
			["variable"] = "LVBM.AddOns.Vaelastrasz.Options.Whisper",
			["text"] = "Send Whisper",
			["func"] = function() LVBM.AddOns.Vaelastrasz.Options.Whisper = not LVBM.AddOns.Vaelastrasz.Options.Whisper; end,
		},
	},
	["Events"] = {
		["CHAT_MSG_SPELL_PERIODIC_PARTY_DAMAGE"] = true,
		["CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_DAMAGE"] = true,
		["CHAT_MSG_SPELL_PERIODIC_SELF_DAMAGE"] = true,
		["CHAT_MSG_SPELL_AURA_GONE_OTHER"] = true,
		["CHAT_MSG_SPELL_AURA_GONE_SELF"] = true,
	},	
		
	["OnEvent"] = function(event, arg1)
		if event == "CHAT_MSG_SPELL_PERIODIC_PARTY_DAMAGE" or event == "CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_DAMAGE" or event ==  "CHAT_MSG_SPELL_PERIODIC_SELF_DAMAGE" then			
			local _, _, name = string.find(arg1, "^([^%s]+) ([^%s]+) afflicted by Burning Adrenaline");
			if name == "You" then
				name = UnitName("player");
			end
				
			if name then
				local targetID, promoted;
				for i = 1, GetNumRaidMembers() do
					if UnitName("raid"..i) == UnitName("player") then
						_, promoted = GetRaidRosterInfo(i);
					end
					if UnitName("raid"..i) == name then
						targetID = i;
					end
				end
				if targetID and promoted >= 1 then
					if GetRaidTargetIndex("raid"..targetID) ~= 8 then
						SetRaidTargetIcon("raid"..targetID, 8);
					end
				end	
					
				LVBM.Announce("*** "..name.." is burning ***");
				if LVBM.AddOns.Vaelastrasz.Options.Whisper then
					SendChatMessage("You are burning!", "WHISPER", nil, name);
				end
			end
			
		elseif ((event == "CHAT_MSG_SPELL_AURA_GONE_OTHER") or (event == "CHAT_MSG_SPELL_AURA_GONE_SELF")) and arg1 then
			local name;
			_, _, name = string.find(arg1, "Burning Adrenaline fades from ([^%s]+)");
			if Name then
				local targetID, promoted;
				for i = 1, GetNumRaidMembers() do
					if UnitName("raid"..i) == UnitName("player") then
						_, promoted = GetRaidRosterInfo(i);
					end
					if UnitName("raid"..i) == name then
						targetID = i;
					end
				end	
				if targetID and promoted >= 1 then
					if GetRaidTargetIndex("raid"..targetID) == 8 then
						SetRaidTargetIcon("raid"..targetID, 0);
					end
				end	
			end			
		end
	end,
};