--
-- La Vendetta Instructor Razuvious Raid Warning AddOn
-- (c) by Nitram from La Vendetta on DE-Azshara
--
-- DE-INFO:
-- Damit dieses Addon Funktioniert muss beim Pull ein PET oder 
-- ein Spieler in Sichtlinie zu dem Instructor sein und den
-- Disrupting Shout abbekommen. (einmalig)
-- Dieses Addon gibt den Manaklassen die Mglichkeit hnlich wie
-- bei Chromagus aus Sicht zu laufen und damit zu berleben.
--
-- EN-INFO:
-- To get this Addon working, a Pet or Player needs to be in 
-- Line of Side to the Instructor and afflicted by his spell
-- Disruptiog Shout. (one Time)
-- This Addon allows the Mana Classes to be in LOS to the 
-- Instructor and running out at the right Time like Chromagus.


if (GetLocale() == "enGB") or (GetLocale() == "enUS") then
	IR_SPELL_1 = "Disrupting Shout"; 
else
	IR_SPELL_1 = "Disrupting Shout";
end


LVBM.AddOns.Instructor = {
	["Name"] = "Instructor Razuvious",
	["Abbreviation1"] = "Razu",
	["Abbreviation2"] = "Instructor",
	["Abbreviation3"] = "IR",
	["Version"] = "1.6",
	["Author"] = "Nitram",
	["Description"] = "Provides timers for Razuvious' Disrupting Shout.",
	["Instance"] = "Naxxramas",
	["Sort"] = 21,
	["Options"] = {
		["Enabled"] = true,
		["Announce"] = false,
	},
	["Lastshout"] = 0,
	["OnLoop"] = false,
	["InCombat"] = false,
	["Events"] = {
		["CHAT_MSG_SPELL_CREATURE_VS_SELF_DAMAGE"] = true,		-- Disrupting Shout on YOU
		["CHAT_MSG_SPELL_CREATURE_VS_PARTY_DAMAGE"] = true,		-- on Party
		["CHAT_MSG_SPELL_CREATURE_VS_CREATURE_DAMAGE"] = true,		-- on Raid / Pet
		["PLAYER_REGEN_ENABLED"] = true,					-- Automatic Stop the LOOP
	},
	
	["OnEvent"] = function(event, arg1)			
		if ( event == "CHAT_MSG_SPELL_CREATURE_VS_CREATURE_DAMAGE" or 				
			 event == "CHAT_MSG_SPELL_CREATURE_VS_SELF_DAMAGE" or
			 event == "CHAT_MSG_SPELL_CREATURE_VS_PARTY_DAMAGE" ) then
			
			if( string.find(arg1, IR_SPELL_1) )then
				if( LVBM.AddOns.Instructor.Lastshout > 0 and math.floor(time() - LVBM.AddOns.Instructor.Lastshout) > 0 ) then
					LVBM.AddOns.Instructor.InCombat = true,
					LVBM.AddMsg("*** TIMER UPDATE DONE ***");		-- To see that the Loop is Sync to the Shout
					
					LVBM.AddMsg("Time since last D-Shout : ".. (time() - LVBM.AddOns.Instructor.Lastshout) );
					LVBM.AddOns.Instructor.OnEvent("StartNewDShoutTimer");
					LVBM.AddOns.Instructor.Lastshout = time();
				else
					LVBM.AddOns.Instructor.OnEvent("StartNewDShoutTimer");
					LVBM.AddOns.Instructor.Lastshout = time();
				end
			end
		end
			
		if (event == "StartNewDShoutTimer") then
			if( math.floor(time() - LVBM.AddOns.Instructor.Lastshout) < 2 ) then return true; end	-- Don't need Spam
				
			LVBM.UnSchedule("LVBM.AddOns.Instructor.OnEvent");			-- Don't need the Loop & Warnings
			
			LVBM.Announce("*** Disrupting Shout in 25 Sec ***");		-- Callout Warning
			LVBM.StartStatusBarTimer(25, "Disrupting Shout");
			LVBM.Schedule(15, "LVBM.AddOns.Instructor.OnEvent", "DShout10SecWarning");			-- Schedule Warnings
			LVBM.Schedule(20, "LVBM.AddOns.Instructor.OnEvent", "DShout5SecWarning");
			LVBM.Schedule(22, "LVBM.AddOns.Instructor.OnEvent", "DShout3SecWarning");
				
			LVBM.AddOns.Instructor.OnLoop = true;
		elseif (event == "DShout10SecWarning") then
			LVBM.Announce("*** Disrupting Shout in 10 Sec ***", "RAID_WARNING");
			
		elseif (event == "DShout5SecWarning") then
			LVBM.Announce("*** Disrupting Shout in 5 Sec ***", "RAID_WARNING");
			
		elseif (event == "DShout3SecWarning") then
			LVBM.Announce("*** Disrupting Shout in 3 Sec ***", "RAID_WARNING");
			
			LVBM.Schedule(4, "LVBM.AddOns.Instructor.OnEvent", "StartNewDShoutTimer");			-- Schedule Loop
		elseif (event == "ConfirmCombatEnd") then
			if (not UnitAffectingCombat("player")) and (not UnitIsDeadOrGhost("player")) then			
				LVBM.UnSchedule("LVBM.AddOns.Instructor.OnEvent");
				LVBM.EndStatusBarTimer("Disrupting Shout", true);
				LVBM.AddOns.Instructor.InCombat = false;
			end
		end
	end,
	
	["OnUpdate"] = function(elapsed) 
		if (LVBM.AddOns.Instructor.InCombat) and (not UnitAffectingCombat("player")) and (not UnitIsDeadOrGhost("player")) and (not LVBM.GetScheduleTimeLeft("LVBM.AddOns.Instructor.OnEvent", "ConfirmCombatEnd")) then
			LVBM.Schedule(10, "LVBM.AddOns.Instructor.OnEvent", "ConfirmCombatEnd");
		end
	end,
	["UpdateInterval"] = 3,
	
}
