--La Vendetta Grand Widow Faerlina Raid Warning AddOn

if (GetLocale() == "enGB") or (GetLocale() == "enUS") then
	GWF_YELL_1 = "You cannot hide from me!";
	GWF_YELL_2 = "Slay them in the master's name!";		
	GWF_YELL_3 = "Run while you still can!"
	GWF_YELL_4 = "Kneel before me, worm!"
	GWF_DEBUFF_1 = "Grand Widow Faerlina is afflicted by Widow's Embrace."
elseif (GetLocale() == "deDE") then --localization by DoctorVanGogh
	GWF_YELL_1 = "Ihr k\195\182nnt Euch nicht vor mir verstecken!"; 
	GWF_YELL_2 = "T\195\182tet sie im Namen des Meisters!"; 
	GWF_YELL_3 = "Flieht, solange ihr noch k\195\182nnt." 
	GWF_YELL_4 = "Kniet nieder, Wurm!" 
	GWF_DEBUFF_1 = "Gro\195\159witwe Faerlina ist von Umarmung der Witwe betroffen."
end

LVBM.AddOns.GrandWidowFaerlina = {
	["Name"] = "Grand Widow Faerlina",
	["Abbreviation1"] = "Faerlina",
	["Abbreviation2"] = "Widow",
	["Abbreviation3"] = "GWF",
	["Version"] = "1.5",
	["Author"] = "La Vendetta|Tandanu",
	["Description"] = "Provides a timer for Grand Widow Faerlina's enrage.",
	["Instance"] = "Naxxramas",
	["Sort"] = 12,
	["Options"] = {
		["Enabled"] = true,
		["Announce"] = false,
	},
	
	["Events"] = {
		["CHAT_MSG_MONSTER_YELL"] = true,
		["CHAT_MSG_SPELL_PERIODIC_CREATURE_DAMAGE"] = true,
	},
	
	["OnEvent"] = function(event, arg1)
		if (event == "CHAT_MSG_MONSTER_YELL") then
			if (arg1 == GWF_YELL_1) or (arg1 == GWF_YELL_2) or (arg1 == GWF_YELL_3) or (arg1 == GWF_YELL_4) then
				if UnitIsDeadOrGhost("player") or UnitAffectingCombat("player") then
					LVBM.Announce("*** Enrage - next in 60 sec ***");
				else
					LVBM.Announce("*** Enrage in ~60 sec ***");
				end
				LVBM.StartStatusBarTimer(60, "Enrage");
				LVBM.Schedule(30, "LVBM.AddOns.GrandWidowFaerlina.OnEvent", "EnrageWarning", 30);
				LVBM.Schedule(45, "LVBM.AddOns.GrandWidowFaerlina.OnEvent", "EnrageWarning", 15);
				LVBM.Schedule(50, "LVBM.AddOns.GrandWidowFaerlina.OnEvent", "EnrageWarning", 10);
				LVBM.Schedule(55, "LVBM.AddOns.GrandWidowFaerlina.OnEvent", "EnrageWarning", 5);
				LVBM.Schedule(60, "LVBM.AddOns.GrandWidowFaerlina.OnEvent", "EnrageWarning", 0);				
			end
		elseif (event == "CHAT_MSG_SPELL_PERIODIC_CREATURE_DAMAGE") then
			if arg1 == GWF_DEBUFF_1 then
				LVBM.StartStatusBarTimer(30, "Widow's Embrace");
				LVBM.Schedule(20, "LVBM.AddOns.GrandWidowFaerlina.OnEvent", "EmbraceWarning", 10);
				LVBM.Announce("*** Widow's Embrace ends in 30 sec ***");
			end
		elseif (event == "EmbraceWarning") then
			if arg1 == 10 then
				LVBM.Announce("*** Widow's Embrace ends in 10 sec ***");
			end
		elseif (event == "EnrageWarning") then
			if arg1 == 30 then
				LVBM.Announce("*** Enrage in ~30 sec ***");
			elseif arg1 == 15 then
				LVBM.Announce("*** Enrage in ~15 sec ***");
			elseif arg1 == 10 then
				LVBM.Announce("*** Enrage in ~10 sec ***");
			elseif arg1 == 5 then
				LVBM.Announce("*** Enrage in ~5 sec ***");
			elseif arg1 == 0 then
				LVBM.Announce("*** Enrage cooldown ready ***");
			end
		end
	end,
};
