LVBM.AddOns.Nefarian = {
	["Name"] = "Nefarian",
	["Abbreviation1"] = "nef",
	["Version"] = "1.0",
	["Author"] = "La Vendetta|Tandanu",
	["Description"] = "Provides timers for class calls.",
	["Instance"] = "Blackwing Lair",
	["Sort"] = 8,
	["Options"] = {
		["Enabled"] = true,
		["Announce"] = false,
	},
	["Events"] = {
		["CHAT_MSG_MONSTER_YELL"] = true,
		["CHAT_MSG_SPELL_CREATURE_VS_CREATURE_DAMAGE"] = true,
	},	

	["OnEvent"] = function(event, arg1)
		if event == "CHAT_MSG_SPELL_CREATURE_VS_CREATURE_DAMAGE" then
			if arg1 == "Nefarian begins to cast Shadow Flame." then
				LVBM.Announce("*** Shadow Flame in 2 sec ***");
				LVBM.StartStatusBarTimer(2, "Shadow Flame Cast");
			elseif arg1 == "Nefarian begins to cast Bellowing Roar." then
				LVBM.Announce("*** Fear in 1.5 sec ***");
				LVBM.StartStatusBarTimer(1.5, "Fear Cast");
			end
		elseif event == "CHAT_MSG_MONSTER_YELL" then
			if string.find(arg1, "BURN! You wretches") then
				LVBM.Announce("*** Nefarian inc - 10 sec ***");
				LVBM.StartStatusBarTimer(10, "Phase 2");
			elseif arg1 == "Impossible! Rise my minions!  Serve your master once more!" then
				LVBM.Annnounce("*** Phase 3 - AoE ***");
			elseif (string.find(arg1, "Shamans, show me")) then
				LVBM.Announce("*** Shaman call - totems ***");
				LVBM.Schedule(27, "LVBM.AddOns.Nefarian.OnEvent", "ClassCallWarning", 5)
				LVBM.EndStatusBarTimer("Next class call");
				LVBM.StartStatusBarTimer(35, "Next class call");
			elseif arg1 == "Druids and your silly shapeshifting. Lets see it in action!" then
				LVBM.Announce("*** Druid call - cat form ***");
				LVBM.Schedule(27, "LVBM.AddOns.Nefarian.OnEvent", "ClassCallWarning", 5)
				LVBM.StartStatusBarTimer(30, "Druid call");
				LVBM.EndStatusBarTimer("Next class call");
				LVBM.StartStatusBarTimer(35, "Next class call");
			elseif arg1 == "Priests! If you're going to keep healing like that, we might as well make it a little more interesting!" then
				LVBM.Announce("*** Priest call - stop healing ***");
				LVBM.Schedule(27, "LVBM.AddOns.Nefarian.OnEvent", "ClassCallWarning", 5)
				LVBM.StartStatusBarTimer(30, "Priest call");
				LVBM.EndStatusBarTimer("Next class call");
				LVBM.StartStatusBarTimer(35, "Next class call");
			elseif arg1 == "Warriors, I know you can hit harder than that! Lets see it!" then
				LVBM.Announce("*** Warrior call - berserker stance ***");
				LVBM.Schedule(27, "LVBM.AddOns.Nefarian.OnEvent", "ClassCallWarning", 5)
				LVBM.StartStatusBarTimer(30, "Warrior call");
				LVBM.EndStatusBarTimer("Next class call");
				LVBM.StartStatusBarTimer(35, "Next class call");
			elseif arg1 == "Rogues? Stop hiding and face me!" then
				LVBM.Announce("*** Rogue call - ported and rooted ***");
				LVBM.Schedule(27, "LVBM.AddOns.Nefarian.OnEvent", "ClassCallWarning", 5)
				LVBM.StartStatusBarTimer(30, "Rogue call");
				LVBM.EndStatusBarTimer("Next class call");
				LVBM.StartStatusBarTimer(35, "Next class call");
			elseif arg1 == "Warlocks, you shouldn't be playing with magic you don't understand. See what happens?" then
				LVBM.Announce("*** Warlock call - infernals ***");
				LVBM.Schedule(27, "LVBM.AddOns.Nefarian.OnEvent", "ClassCallWarning", 5)
				LVBM.EndStatusBarTimer("Next class call");
				LVBM.StartStatusBarTimer(35, "Next class call");
			elseif arg1 == "Hunters and your annoying pea-shooters!" then
				LVBM.Announce("*** Hunter call - bows/guns broken ***");
				LVBM.Schedule(27, "LVBM.AddOns.Nefarian.OnEvent", "ClassCallWarning", 5)
				LVBM.EndStatusBarTimer("Next class call");
				LVBM.StartStatusBarTimer(35, "Next class call");
			elseif arg1 == "Mages too? You should be more careful when you play with magic..." then
				LVBM.Announce("*** Mage call - polymorph ***");
				LVBM.Schedule(27, "LVBM.AddOns.Nefarian.OnEvent", "ClassCallWarning", 5)
				LVBM.StartStatusBarTimer(30, "Mage call");
				LVBM.EndStatusBarTimer("Next class call");
				LVBM.StartStatusBarTimer(35, "Next class call");
			end
		elseif event == "ClassCallWarning" then
			if arg1 == 5 then
				LVBM.Announce("*** Class call soon ***");
			end
		end
	end,	

};