if (GetLocale() == "enGB") or (GetLocale() == "enUS") then
	PW_YELL_1 = "Patchwerk want to play!";
	PW_YELL_2 = "Kel'thuzad make Patchwerk his avatar of war!";
end

LVBM.AddOns.Patchwerk = { --the table index (here: Patchwerk) must be the filename..."LV" as prefix in the filename will be ignored
	["Name"] = "Patchwerk",
	["Abbreviation1"] = "PW",
	["Version"] = "1.0",
	["Author"] = "La Vendetta|Tandanu",
	["Description"] = "Provides a timer for Patchwerk's enrage.",
	["Instance"] = "Naxxramas",
	["Sort"] = 41,
	["Options"] = {
		["Enabled"] = true,
		["Announce"] = false,
	},	
	["Events"] = {
		["CHAT_MSG_MONSTER_YELL"] = true,
	},	
	["OnEvent"] = function(event, arg1)
		if (event == "CHAT_MSG_MONSTER_YELL") then
			if (arg1 == PW_YELL_1) or (arg1 == PW_YELL_2) then
				LVBM.Announce("*** Enrage in 7 minutes ***");
				LVBM.Schedule(120, "LVBM.AddOns.Patchwerk.OnEvent", "EnrageWarning", 300);
				LVBM.Schedule(240, "LVBM.AddOns.Patchwerk.OnEvent", "EnrageWarning", 180);
				LVBM.Schedule(360, "LVBM.AddOns.Patchwerk.OnEvent", "EnrageWarning", 60);
				LVBM.Schedule(390, "LVBM.AddOns.Patchwerk.OnEvent", "EnrageWarning", 30);
				LVBM.Schedule(405, "LVBM.AddOns.Patchwerk.OnEvent", "EnrageWarning", 15);
				LVBM.Schedule(420, "LVBM.AddOns.Patchwerk.OnEvent", "EnrageWarning", 0);				
				LVBM.StartStatusBarTimer(420, "Enrage");
			end
		elseif (event == "EnrageWarning") then
			if arg1 == 300 then
				LVBM.Announce("*** Enrage in 5 minutes ***");
			elseif arg1 == 180 then
				LVBM.Announce("*** Enrage in 3 minutes ***");
			elseif arg1 == 60 then
				LVBM.Announce("*** Enrage in 1 minute ***");
			elseif arg1 == 30 then
				LVBM.Announce("*** Enrage in 30 seconds ***");
			elseif arg1 == 15 then
				LVBM.Announce("*** Enrage in 15 seconds ***");
			end
		end
	end,
};
